Bug 1477148 - [Doc-RFE] Document S3 object expiration
[Doc-RFE] Document S3 object expiration
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0
Unspecified Unspecified
high Severity unspecified
: rc
: 3.0
Assigned To: John Wilkins
Shreekar
: Documentation, FutureFeature
Depends On: 1477276
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 06:51 EDT by Anjana Suparna Sriram
Modified: 2017-12-25 22:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-25 22:38:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anjana Suparna Sriram 2017-08-01 06:51:18 EDT
Additional info: RHCS 3.0 Content Plan:
https://docs.google.com/document/d/1fp1j6iPr9UPHCMWqqS8QG3SXiSQ3n9Y9a1YogivhtzA/edit
Comment 3 Harish NV Rao 2017-10-16 06:30:08 EDT
@John, can we please get the link to the doc along with gitlab link? Doc link helps us a lot.
Comment 4 Harish NV Rao 2017-10-24 11:00:06 EDT
(In reply to Harish NV Rao from comment #3)
> @John, can we please get the link to the doc along with gitlab link? Doc
> link helps us a lot.

a gentle reminder.
Comment 6 Shreekar 2017-10-26 05:02:45 EDT
(In reply to John Wilkins from comment #5)
> https://access.qa.redhat.com/documentation/en-us/red_hat_ceph_storage/3/html-
> single/developer_guide/#ceph-object-gateway-s3-api
> https://access.qa.redhat.com/documentation/en-us/red_hat_ceph_storage/3/html-
> single/developer_guide/#s3-api-bucket-lifecycle

These links are showing 404 error.
Comment 7 John Wilkins 2017-10-27 11:44:07 EDT
Both of them work for me. Are you connected to the VPN?
Comment 8 Shreekar 2017-10-30 06:21:49 EDT
Under Chapter 2. Object Gateway S3 Application Programming Interface (API) ,in table 2,Get Bucket Info (HEAD), Bucket Notification and Multipart Uploads are not accessible. Information about these fields can be added. 
Moving to assigned.

Note You need to log in before you can comment on or make changes to this bug.